/******************************************************************************

  This source file is part of the Avogadro project.

  Copyright 2012 Kitware, Inc.

  This source code is released under the New BSD License, (the "License").

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

******************************************************************************/

#include <QtCore/QtPlugin>

#include "/builddir/build/BUILD/avogadrolibs-1.93.1/avogadro/qtplugins/cp2kinput/cp2kinput.h"


namespace Avogadro {
namespace QtPlugins {

class Cp2kInputFactory : public QObject, public QtGui::ExtensionPluginFactory
{
  Q_OBJECT
  Q_PLUGIN_METADATA(IID "org.openchemistry.avogadro.ExtensionPluginFactory")
  Q_INTERFACES(Avogadro::QtGui::ExtensionPluginFactory)

public:
  explicit Cp2kInputFactory(QObject *parent_ = 0) : QObject(parent_) {}

  QtGui::ExtensionPlugin * createInstance()
  {
    Cp2kInput *object = new Cp2kInput(parent());
    object->setObjectName("Cp2kInput");
    return object;
  }

  QString identifier() const { return "Cp2kInput"; }

  QString description() const { return "CP2K input file generation"; }

};

}
}

#include "Cp2kInputPlugin.moc"
